Dears,
I'm trying check the detail view boundary that not attached to parent view. Please help me how to do get it. Thanks,
Solved! Go to Solution.
Dears,
I'm trying check the detail view boundary that not attached to parent view. Please help me how to do get it. Thanks,
Solved! Go to Solution.
Solved by FINET_Laurent. Go to Solution.
Hi @ngnam1988
Maybe this what your looking for?
DetailDrawingView.AttachPoint() As GeometryIntent
If that isn't what your looking for please explain in a little more detail.
Property Value
Hi @ngnam1988
Maybe this what your looking for?
DetailDrawingView.AttachPoint() As GeometryIntent
If that isn't what your looking for please explain in a little more detail.
Property Value
Thanks @A.Acheson
Normally, in our technical drawings its must be attached manually. I wanna check the boundary is attached or not? If not return the warning.
Thanks @A.Acheson
Normally, in our technical drawings its must be attached manually. I wanna check the boundary is attached or not? If not return the warning.
Hello @ngnam1988,
To acommplish this, we can check the AttachPoint property of a detail drawing view. If it is nothing, this means that the boundary is not attached to any geometry (free). If it is something else, this means it is attached. Here an example code that let you pick a drawing view & checks for this property :
Dim v As Inventor.DrawingView = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingViewFilter, "")
If v.Type <> ObjectTypeEnum.kDetailDrawingViewObject Then Exit Sub
If v.AttachPoint is nothing then msgbox("Not attached!")
Would that suits your needs ?
Kind regards,
FINET L.
If this post solved your question, please kindly mark it as "Solution"
If this post helped out in any way to solve your question, please drop a "Like"Hello @ngnam1988,
To acommplish this, we can check the AttachPoint property of a detail drawing view. If it is nothing, this means that the boundary is not attached to any geometry (free). If it is something else, this means it is attached. Here an example code that let you pick a drawing view & checks for this property :
Dim v As Inventor.DrawingView = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingViewFilter, "")
If v.Type <> ObjectTypeEnum.kDetailDrawingViewObject Then Exit Sub
If v.AttachPoint is nothing then msgbox("Not attached!")
Would that suits your needs ?
Kind regards,
FINET L.
If this post solved your question, please kindly mark it as "Solution"
If this post helped out in any way to solve your question, please drop a "Like"Can't find what you're looking for? Ask the community or share your knowledge.